From: Torsten Werner <twerner@debian.org>
Date: Sat, 31 Jul 2010 17:52:48 +0200
Subject: [PATCH] remove <copyLibs> task

---
 nbproject/build-impl.xml |   15 ++++++---------
 1 files changed, 6 insertions(+), 9 deletions(-)

diff --git a/nbproject/build-impl.xml b/nbproject/build-impl.xml
index 29af563..b95ec34 100644
--- a/nbproject/build-impl.xml
+++ b/nbproject/build-impl.xml
@@ -520,14 +520,13 @@ is divided into following sections:
                 <globmapper from="*" to="lib/*"/>
             </chainedmapper>
         </pathconvert>
-        <taskdef classname="org.netbeans.modules.java.j2seproject.copylibstask.CopyLibs" classpath="${libs.CopyLibs.classpath}" name="copylibs"/>
-        <copylibs compress="${jar.compress}" jarfile="${dist.jar}" manifest="${manifest.file}" runtimeclasspath="${run.classpath.without.build.classes.dir}">
+        <jar compress="${jar.compress}" destfile="${dist.jar}" manifest="${manifest.file}">
             <fileset dir="${build.classes.dir}"/>
             <manifest>
                 <attribute name="Main-Class" value="${main.class}"/>
                 <attribute name="Class-Path" value="${jar.classpath}"/>
             </manifest>
-        </copylibs>
+        </jar>
         <echo>To run this application from the command line without Ant, try:</echo>
         <property location="${dist.jar}" name="dist.jar.resolved"/>
         <echo>java -jar "${dist.jar.resolved}"</echo>
@@ -545,13 +544,12 @@ is divided into following sections:
                 <globmapper from="*" to="lib/*"/>
             </chainedmapper>
         </pathconvert>
-        <taskdef classname="org.netbeans.modules.java.j2seproject.copylibstask.CopyLibs" classpath="${libs.CopyLibs.classpath}" name="copylibs"/>
-        <copylibs compress="${jar.compress}" jarfile="${dist.jar}" manifest="${manifest.file}" runtimeclasspath="${run.classpath.without.build.classes.dir}">
+        <jar compress="${jar.compress}" destfile="${dist.jar}" manifest="${manifest.file}">
             <fileset dir="${build.classes.dir}"/>
             <manifest>
                 <attribute name="Class-Path" value="${jar.classpath}"/>
             </manifest>
-        </copylibs>
+        </jar>
     </target>
     <target depends="init,compile,-pre-pre-jar,-pre-jar" if="do.mkdist" name="-do-jar-with-libraries-without-manifest" unless="manifest.available">
         <property location="${build.classes.dir}" name="build.classes.dir.resolved"/>
@@ -566,13 +564,12 @@ is divided into following sections:
                 <globmapper from="*" to="lib/*"/>
             </chainedmapper>
         </pathconvert>
-        <taskdef classname="org.netbeans.modules.java.j2seproject.copylibstask.CopyLibs" classpath="${libs.CopyLibs.classpath}" name="copylibs"/>
-        <copylibs compress="${jar.compress}" jarfile="${dist.jar}" runtimeclasspath="${run.classpath.without.build.classes.dir}">
+        <jar compress="${jar.compress}" destfile="${dist.jar}">
             <fileset dir="${build.classes.dir}"/>
             <manifest>
                 <attribute name="Class-Path" value="${jar.classpath}"/>
             </manifest>
-        </copylibs>
+        </jar>
     </target>
     <target name="-post-jar">
         <!-- Empty placeholder for easier customization. -->
-- 
